%define name gimp-sharp
%define version 0.15
%define release %mkrel 2
%define gimpver 2.0
%define gimpapi 2.0
%define gimpmajor 0

Summary: Gimp# allows writing Gimp plugin with Mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/gimp-sharp/%{name}-%{version}.tar.gz
Patch: gimp-sharp-0.13-paths.patch
Patch1: gimp-sharp-0.14-dllconfig.patch
Patch2: gimp-sharp-0.15-plugindir.patch
License: LGPLv2+
Group: Graphics
Url: http://gimp-sharp.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgimp-devel >= %gimpver
BuildRequires: automake1.7
BuildRequires: gtk-sharp2
BuildRequires: mono-devel
BuildRequires: mono-basic
BuildRequires: boo
BuildRequires: ikvm > 0.36.0.5
BuildRequires: ironpython
BuildRequires: nemerle
BuildRequires: umfpack-devel blas-devel

%description
This are the C# bindings for GIMP 2.0 that allow the implementation of
plugins with mono.

%prep
%setup -q
%patch -p1 -b .paths
%patch1 -p1 -b .dllconfig
%patch2 -p1
perl -pi -e "s!LIBDIR!%_libdir!" plug-ins/PythonSample/PythonSample
aclocal
autoconf
automake

%build
export CPPFLAGS=-I%_includedir/suitesparse
%configure2_5x --with-unittest --with-vb --with-boo --with-java --with-ironpython --with-nemerle
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/gimp/%gimpapi/plug-ins/ %buildroot%_datadir/locale/{it,ru}/LC_MESSAGES/
%makeinstall_std GIMPLOCALE=%buildroot%_datadir/locale
install -m 644 plug-ins/Colorize/Colorize.exe.config %buildroot%_libdir/gimp/%gimpapi/plug-ins/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS TODO README
%lang(it) %_datadir/locale/it/LC_MESSAGES/*.mo
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*.mo
%{_libdir}/gimp/%gimpapi/plug-ins/*




%changelog
* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 0.15-2mdv2009.1
+ Revision: 295514
- update license
- fix build with new umfpack
- reenable Python and Nemerle support
- fix installation with new gimp

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

* Mon May 12 2008 Götz Waschk <waschk@mandriva.org> 0.15-1mdv2009.0
+ Revision: 206240
- new version
- small build fix

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2009.0
+ Revision: 192451
- bump ikvm dep
- reenable java

* Fri Jan 04 2008 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2008.1
+ Revision: 144860
- new version
- rediff patch 1
- enable boo and Visual Basic samples

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 0.13-5mdv2008.1
+ Revision: 140165
- build with new libumfpack

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Götz Waschk <waschk@mandriva.org> 0.13-4mdv2008.1
+ Revision: 113638
- fix paths in pythonsample plugin

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 0.13-3mdv2008.1
+ Revision: 110214
- another fix for umfpack

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 0.13-2mdv2008.1
+ Revision: 110197
- update patch for the new umfpack major

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2008.1
+ Revision: 110175
- fix buildrequires
- new version
- disable java support
- enable python support

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2008.0
+ Revision: 22261
- new version
- update dllmap patch
- update buildrequires


* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
+ Revision: 104899
- fix buildrequires
- Import gimp-sharp

* Sat Jan 06 2007 Gtz Waschk <waschk@mandriva.org> 0.11-1mdv2007.1
- new version

* Sun Aug 06 2006 Gtz Waschk <waschk@mandriva.org> 0.10-2mdv2007.0
- fix the patch

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 0.10-1mdv2007.0
- fix installation
- New release 0.10

* Fri Jul 07 2006 Gtz Waschk <waschk@mandriva.org> 0.9-1mdv2007.0
- update file list
- rediff the patch
- New release 0.9

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-2mdk
- Fix BuildRequires

* Thu Apr 27 2006 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- update file list
- drop patch 0
- New release 0.8

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.7.1-2mdk
- update the dll config

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.7.1-1mdk
- update file list
- New release 0.7.1
- use mkrel

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix dll map

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- new version

* Thu Apr 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- update file list
- rediff patch
- New release 0.6

* Fri Jan 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- add new plugins
- rediff the patch
- New release 0.5

* Fri Dec 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- add new files
- update the patch
- New release 0.4

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- fix build
- New release 0.3

* Mon Nov 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix picturepackage startup script

* Sun Nov 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- spec fixes
- New release 0.2

* Tue Nov 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package

